Saltar al contenido principal
POST
/
api
/
v1
/
loan-products
Crear un producto de préstamo
curl --request POST \
  --url https://lender.sandbox.lerian.net/api/v1/loan-products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jurisdictionCode": "<string>",
  "loanType": "<string>",
  "name": "<string>",
  "jurisdictionExtensions": {}
}
'
import requests

url = "https://lender.sandbox.lerian.net/api/v1/loan-products"

payload = {
    "jurisdictionCode": "<string>",
    "loanType": "<string>",
    "name": "<string>",
    "jurisdictionExtensions": {}
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    jurisdictionCode: '<string>',
    loanType: '<string>',
    name: '<string>',
    jurisdictionExtensions: {}
  })
};

fetch('https://lender.sandbox.lerian.net/api/v1/loan-products', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "createdAt": "<string>",
  "id": "<string>",
  "jurisdictionCode": "<string>",
  "loanType": "<string>",
  "name": "<string>",
  "status": "<string>",
  "currentVersionId": "<string>"
}
{
  "code": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}

Autorizaciones

Authorization
string
header
requerido

JWT bearer token issued by the identity provider.

Cuerpo

application/json
jurisdictionCode
string
requerido

Jurisdiction profile code (e.g. BR).

Ejemplo:

"BR"

loanType
string
requerido

Loan product type.

Ejemplo:

"personal"

name
string
requerido

Loan product display name.

jurisdictionExtensions
object

Opaque per-jurisdiction product fields.

Respuesta

Created

createdAt
string
requerido

Creation timestamp (RFC3339, UTC).

Ejemplo:

"2026-06-14T12:00:00Z"

id
string
requerido

Server-assigned loan product identifier (uuid).

Ejemplo:

"550e8400-e29b-41d4-a716-446655440009"

jurisdictionCode
string
requerido

Jurisdiction profile code (e.g. BR).

Ejemplo:

"BR"

loanType
string
requerido

Loan product type.

Ejemplo:

"personal"

name
string
requerido

Loan product display name.

status
string
requerido

Lifecycle status (e.g. draft|active).

Ejemplo:

"active"

currentVersionId
string

Identifier (uuid) of the pinned active version; empty until activation.

Ejemplo:

"550e8400-e29b-41d4-a716-44665544000a"